| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::usrp::dboard_iface_special_props_t Struct Reference

Special properties that differentiate this daughterboard slot. More...

`#include <uhd/usrp/dboard_iface.hpp>`

## Detailed Description

Special properties that differentiate this daughterboard slot.

## Public Attributes
bool | soft_clock_divider
bool | mangle_i2c_addrs

## Member Data Documentation

## ◆ mangle_i2c_addrs

bool uhd::usrp::dboard_iface_special_props_t::mangle_i2c_addrs

Mangle i2c addresses: When i2c is shared across multiple daughterboard slots, the i2c addresses will be mangled on the secondary slot to avoid conflicts between slots in the i2c address space. The mangling is daughterboard specific so the implementation needs to know whether it should use mangled addresses or not.

## ◆ soft_clock_divider

bool uhd::usrp::dboard_iface_special_props_t::soft_clock_divider

Soft clock divider: When a motherboard cannot provided a divided dboard clock, it may provided a "soft" divided clock over an FPGA GPIO. The implementation must know the type of clock provided.

The documentation for this struct was generated from the following file:

- dboard_iface.hpp